/// <reference types="react" />
import * as React from 'react';
import { EColorNames, EFloat } from '../enum';
export interface IColors {
    color?: EColorNames;
}
export interface IFloat {
    float?: EFloat;
}
export interface IRoundButton extends IColors, IFloat {
    disabled?: boolean;
    height?: number;
    label?: string;
    margin?: number;
    width?: number;
}
export default class Button extends React.Component<IRoundButton, {}> {
    render(): JSX.Element;
}
