/// <reference types="react" />
import * as React from 'react';
import { EColorNames, EFloat } from '../enum';
export interface IColors {
    color?: EColorNames;
}
export interface IFloat {
    float?: EFloat;
}
export interface IRoundButton extends IColors, IFloat {
    disabled?: boolean;
    diameter?: number;
    label?: string;
    margin?: number;
    onClick?: () => void;
}
export default class RoundButton extends React.Component<IRoundButton, {}> {
    render(): JSX.Element;
}
