"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var RoundButton = (function (_super) {
    __extends(RoundButton, _super);
    function RoundButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RoundButton.prototype.render = function () {
        var _a = this.props, color = _a.color, diameter = _a.diameter, disabled = _a.disabled, float = _a.float, label = _a.label, margin = _a.margin, onClick = _a.onClick;
        var ringDiameter1 = diameter * 0.98;
        var ringDiameter2 = ringDiameter1 * 0.82;
        var ringDiameter3 = ringDiameter2 * 0.96;
        var ringDiameter4 = ringDiameter3 * 0.9;
        var defaultStyles = {
            float: float,
            borderRadius: '100%'
        };
        var buttonStyles = __assign({ height: diameter, margin: margin, width: diameter, background: color, border: 'none', padding: 0 }, defaultStyles);
        var ring1 = __assign({ width: ringDiameter1, height: ringDiameter1, margin: diameter * 0.01, background: 'green' }, defaultStyles);
        var ring2 = __assign({ width: ringDiameter2, height: ringDiameter2, margin: ringDiameter1 * 0.09, background: '#0e99ff' }, defaultStyles);
        var ring3 = __assign({ width: ringDiameter3, height: ringDiameter3, margin: ringDiameter2 * 0.02, background: '#ff5a2c' }, defaultStyles);
        var ring4 = __assign({ width: ringDiameter4, height: ringDiameter4, margin: ringDiameter3 * 0.05, background: '#7953ff', color: 'FFF', textAlign: 'center', lineHeight: ringDiameter4 + "px", textTransform: 'uppercase', fontSize: ringDiameter4 * 0.3 }, defaultStyles);
        return (React.createElement("button", { className: "round-button", disabled: disabled, style: buttonStyles, onClick: onClick },
            React.createElement("div", { style: ring1 },
                React.createElement("div", { style: ring2 },
                    React.createElement("div", { style: ring3 },
                        React.createElement("div", { style: ring4 }, label))))));
    };
    return RoundButton;
}(React.Component));
exports.default = RoundButton;
